# $Revision: 1.6 $, $Date: 2005/12/12 15:22:59 $

%define short_name pgf
%define	texhash	[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2 ;

# TODO:
# Pack more files ? (plain subdirectory)

Summary:	The TeX Portable Graphic Format
Summary(pl):	Przenony format grafiki dla TeXa
Name:		tetex-pgf
Version:	0.95
Release:	1
License:	LaTeX Project Public License
Group:		Applications/Publishing/TeX
Source0:	http://dl.sourceforge.net/latex-beamer/%{short_name}-%{version}.tar.gz
# Source0-md5:	342549f27785cc6466a02cb66774e4cf
Requires:	tetex-latex
Requires:	tetex-latex-xcolor >= 2.00
Requires(post,postun):	/usr/bin/texhash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A macro package for creating graphics directly in TeX and LaTeX.

%description
Pakiet makr do tworzenia grafiki bezporednio z TeXa i LaTeXa.

%prep
%setup -q -n %{short_name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

for SEC in generic latex; do
    cd $SEC/%{short_name}
    for DIR in *; do
	install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/$SEC/%{short_name}/$DIR
	install $DIR/* $RPM_BUILD_ROOT%{_datadir}/texmf/tex/$SEC/%{short_name}/$DIR
    done
    cd ../..
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%texhash

%postun
%texhash

%files
%defattr(644,root,root,755)
%doc doc/pgf/en/*.pdf doc/pgf/AUTHORS doc/pgf/ChangeLog doc/pgf/README doc/pgf/TODO
%{_datadir}/texmf/tex/generic/%{short_name}
%{_datadir}/texmf/tex/latex/%{short_name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-pgf.spec,v $
Revision 1.6  2005/12/12 15:22:59  baggins
- rel 1

Revision 1.5  2005/10/14 19:32:53  kosmo
- updated to 0.95

Revision 1.4  2005/01/05 00:21:46  jpc
- up to 0.65
- R: tetex-latex-xcolor >= 2.00

Revision 1.3  2004/04/22 12:57:21  cieciwa
- version 0.61,
- updated MD5 sum.

Revision 1.2  2004/03/08 12:07:39  malekith
- better and pl desc

Revision 1.1  2004/03/07 22:40:06  malekith
- first sketch

